package nckd.jxccl.hr.gzbb;

import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.form.plugin.BeforeExportEntryEvent;
import kd.bos.form.plugin.IExportEntryPlugin;

import java.util.List;


/**
 * @author duanyuqi
 * @date 2025-12-03
 * @desc
 * 央国企人事云》国资报表ext》单据》数据填报
 * 干预导出数据
 * nckd_sjtbrw
 */
public class ExportentryPlugin implements kd.bos.form.plugin.IExportEntryPlugin {

    @Override
    public void beforeExportEntry(BeforeExportEntryEvent bee) {
        List<Object> rowData = bee.getRowData();
        for (int i = 0; i < rowData.size(); i++) {
            if (rowData.get(i) != null && rowData.get(i) instanceof String) {
                String txt = String.valueOf(rowData.get(i));
                if (txt.contains("person.")) {
                    rowData.set(i, txt.replace("person.", ""));
                }
            }
        }
        IExportEntryPlugin.super.beforeExportEntry(bee);
    }
}
